# Plugin HAL

![HAL](./prive/themes/spip/images/hal_m-xx.svg)

Le plugin HAL permet d'afficher les publications du portail [HAL](https://hal.science/) à travers un modèle SPIP unique ```<hal|param1|param2|...>```


## Le modèle ```<hal>```



| Paramètre | Facultatif | Explications  | Exemple |
| -------- | -------- | -------- |-------- |
| q    | *facultatif*   | requête de recherche  sur l'API HAL https://api.archives-ouvertes.fr/docs/search   | `<hal\|q=Mali>` |
| collection    | *facultatif*   | restreindre à une collection     |`<hal\|collection=CEPED>`|
| auteur    | *facultatif*   | restreindre à un auteur - fournir `idHal`     |`<hal\|auteur=joseph-larmarange>`|
| max    | *facultatif*   | nombre de résultats affiché de 0 à 10000. Valeur par défaut défini dans panel de configuration du plugin sinon 10     |`<hal\|max=4>`|
| tri    | *facultatif*   | indique le tri de requete. par défaut pertinence											https://api.archives-ouvertes.fr/docs/search/?#sort    | `<hal\|tri=submittedDate_tdate desc>`|
| debug    | *facultatif*   | affiche la requête vers l'API HAL pour aider au déboguage    |`<hal\|debug=oui>`|
| dernieres_publications    | *facultatif*   | via class, si renseigné, on force le tri sur le critère `publicationDate_tdate`    |`<hal\|dernieres_publications>`|
| masquer_lien    | *facultatif*   | valable uniquement si `dernieres_publications` est renseignée. si renseigné, on n'affiche pas les liens *voir toutes publications* après la liste des résultats   |`<hal\|dernieres_publications\|auteur=joseph-larmarange\|masquer_lien=oui>` |
| id   | *facultatif*   | si renseigné, retourne le document unique correspondant au `halId_id`  et ignore les autres paramètres   |`<hal\|id=ird-03950125>`|
| doi	   | *facultatif*   | si renseigné, retourne le document unique correspondant au `doi` et ignore les autres paramètres  |`<hal\|doi=10.1371/journal.pone.0280479>`|



## Documentation de l'API HAL
https://api.archives-ouvertes.fr/docs/search

## Documentation du plugin SPIP
https://contrib.spip.net/5478
